:root {
  --extra-light-pink-bckground: #f1eaef;
  --light-pink-background: #dbcbd8;
  --light-pink-font: #e6dbe4;
  --grey-font: #585156;
  --dark-font: #2c292b;
  --emphasis-magenta: #c22468;
  --accent-pink: #89717b;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-family: "Urbanist", sans-serif;
  color: #fff;
  scroll-behavior: smooth;
  font-size: 62.5%;
}

h1 {
  font-size: 2.6rem;
  letter-spacing: 0.4rem;
  font-weight: 400;
}

h2 {
  font-size: 3.2rem;
  font-weight: 900;
}

h3 {
  font-size: 4.2rem;
  letter-spacing: 0.2rem;
}

h4 {
  font-size: 2rem;
  font-weight: 500;
}

p {
  font-size: 2rem;
  line-height: 1.6;
  font-weight: 400;
}

.hero-section {
  position: relative;
  height: 100vh;
  min-height: 75rem;
  display: flex;
  flex-direction: column;
  justify-content: end;
}

.logo-container {
  position: absolute;
  transform: translate(-50%, -50%);
  left: 50%;
  top: 96px;
  z-index: 999;
  text-align: center;
  width: 90%;
}

.logo {
  margin-bottom: 1.6rem;
}

.hero-video video {
  width: 100%;
  height: 100vh;
  min-height: 75rem;
  object-fit: cover;
}

.video-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.3);
}

.hero-content {
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: center;
  row-gap: 4.8em;
  top: 65%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 90%;
  height: 50vh;
  min-height: 40rem;
  text-align: center;
  color: var(--light-pink-font);
}

.video-title {
  font-size: 5.2rem;
  font-weight: 900;
  letter-spacing: 0.6rem;
  opacity: 0;
  transition: opacity 3s 0.5s;
  margin-bottom: 3.6rem;
}

.video-subtitle {
  font-size: 2.4rem;
  font-weight: 400;
  letter-spacing: 0.3rem;
  opacity: 0;
  transition: opacity 4s 1s;
}

.coming-soon {
  display: flex;
  flex-direction: column;
  gap: 6.4rem;
  opacity: 0;
  transition: opacity 4s 2s;
  color: var(--emphasis-magenta);
}

.follow {
  display: flex;
  justify-content: center;
  width: 100%;
}

.insta-icon:link,
.insta-icon:visited {
  text-decoration: none;
  color: var(--emphasis-magenta);
  font-size: 4.8rem;
  transition: color 0.3s ease-in-out;
}

.insta-icon:hover,
.insta-icon:active {
  color: #881949;
}

.insta-container {
  display: flex;
  min-width: 34.8rem;
  justify-content: end;
}

.insta-foot {
  display: flex;
  flex-direction: column;
  gap: 1.6rem;
  padding-right: 4.8rem;
}

.email-foot {
  padding: 0 4.8rem;
  border-left: 1px solid;
  border-right: 1px solid;
}

.input-field {
  color: var(--light-pink-font);
  background-color: transparent;
  border: none;
  border-bottom: solid 1px #c22468;
  text-align: center;
  min-width: 30rem;
  font-size: 1.8rem;
  font-weight: 400;
  transition: all 0.3s ease-in-out;
  line-height: 2;
}

.input-field:focus {
  outline: none;
  border-bottom: solid 1px #dbcbd8;
}

.mc-field-group {
  margin-top: 1.2rem;
}

.sub-button {
  cursor: pointer;
  margin-top: 2.4rem;
  background-color: transparent;
  border: solid 1px #c22468;
  color: #c22468;
  font-size: 2rem;
  padding: 0.8rem 1.6rem;
  transition: all 0.3s ease-in-out;
}

.sub-button:hover {
  background-color: #c22468;
  color: #cbc1c9;
}

.contact-container {
  display: flex;
  flex-direction: column;
  gap: 2.4rem;
  margin-left: 4.8rem;
}

.email-address {
  text-decoration: none;
  color: var(--emphasis-magenta);
  font-size: 2rem;
}

.animation--fade-in {
  opacity: 1;
}

@media (max-width: 1200px) {
  .email-foot {
    padding: 0 1.6rem;
  }

  .contact-container {
    margin-left: 1.6rem;
  }

  .insta-foot {
    padding-right: 1.6rem;
  }

  .insta-container {
    min-width: 31.6rem;
  }
}

@media (max-width: 1070px) {
  .follow {
    flex-direction: column;
    gap: 3.6rem;
  }

  .email-foot {
    padding: 0;
    border-left: none;
    border-right: none;
  }

  .insta-container {
    justify-content: center;
    padding: 0;
    min-width: auto;
  }

  .sub-button {
    margin-bottom: 2.4rem;
  }

  .hero-section {
    min-height: 80rem;
    height: auto;
  }

  .hero-video video {
    min-height: 120rem;
  }

  .contact-container {
    gap: 1.2rem;
  }
}

@media (max-width: 600px) {
  html {
    font-size: 55%;
  }

  h1 {
    font-size: 2.4rem;
  }

  h3 {
    font-size: 3.2rem;
  }

  .hero-content {
    top: 60%;
  }

  .video-title {
    font-size: 3.6rem;
  }

  .video-subtitle {
    height: 5rem;
  }

  .follow p {
    font-size: 2.4rem;
  }

  .logo-container {
    top: 8.6rem;
  }

  .logo {
    width: 120px;
  }
}
